Package ghidra.program.model.util

# Class DefaultIntPropertyMap

java.lang.Object
ghidra.program.model.util.DefaultPropertyMap<Integer>
ghidra.program.model.util.DefaultIntPropertyMap

All Implemented Interfaces:
  `IntPropertyMap`, `PropertyMap<Integer>`

public class DefaultIntPropertyMap extends DefaultPropertyMap<Integer> implements IntPropertyMap
Property manager that deals with properties that are of int type.

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.util.DefaultPropertyMap

  `addrMap, description, propertyMgr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultIntPropertyMap(String name)`
  Construct a new IntPropertyMap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr, int value)`
  Add an int value at the specified address.
  `Integer`
  `get(Address addr)`
  Returns the property value stored at the specified address or null if no property found.
  `int`
  `getInt(Address addr)`
  Get the integer value at the given address.

  ### Methods inherited from class ghidra.program.model.util.DefaultPropertyMap

  `getDescription, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange, restoreProperties, saveProperties, setDescription`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.util.IntPropertyMap

  `add, getValueClass`

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

- ## Constructor Details

  - ### DefaultIntPropertyMap

    public DefaultIntPropertyMap(String name)
    Construct a new IntPropertyMap
    Parameters:
      `name` - name of property

- ## Method Details

  - ### add

    public void add(Address addr, int value)
    Description copied from interface: `IntPropertyMap`
    Add an int value at the specified address.
    Specified by:
      `add` in interface `IntPropertyMap`
    Parameters:
      `addr` - address for the property
      `value` - value of the property

  - ### getInt

    public int getInt(Address addr) throws NoValueException
    Description copied from interface: `IntPropertyMap`
    Get the integer value at the given address.
    Specified by:
      `getInt` in interface `IntPropertyMap`
    Parameters:
      `addr` - the address from where to get the int value
    Returns:
      integer property value
    Throws:
      `NoValueException` - if there is no property value at addr.

  - ### get

    public Integer get(Address addr)
    Description copied from interface: `PropertyMap`
    Returns the property value stored at the specified address or null if no property found.
    Specified by:
      `get` in interface `PropertyMap<Integer>`
    Parameters:
      `addr` - property address
    Returns:
      property value